# Interface JmolCallbackListener

All Known Subinterfaces:
  `JmolStatusListener`

All Known Implementing Classes:
  `AppConsole, AppletConsole, AppletConsole, GenericApplet, GenericConsole, Jmol, JmolConsole, StatusListener`

public interface JmolCallbackListener

## Method Summary

Modifier and Type
Method
Description
`void`
`notifyCallback(CBK message, Object[] data)`
`boolean`
`notifyEnabled(CBK type)`
`void`
`setCallbackFunction(String callbackType, String callbackObject)`

## Method Details

### setCallbackFunction

void setCallbackFunction(String callbackType, String callbackObject)

### notifyCallback

void notifyCallback(CBK message, Object[] data)

### notifyEnabled

boolean notifyEnabled(CBK type)